Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 421337 - media-libs/sdl-mixer, media-libs/sdl2-mixer cannot be merged to USE flags constraints
Summary: media-libs/sdl-mixer, media-libs/sdl2-mixer cannot be merged to USE flags con...
Status: CONFIRMED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Dependencies (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-16 09:05 UTC by Pacho Ramos
Modified: 2018-05-01 10:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2012-06-16 09:05:28 UTC
# emerge -pv qtads

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy "media-libs/sdl-mixer[midi,vorbis]".
!!! One of the following packages is required to complete your request:
- media-libs/sdl-mixer-1.2.12::gentoo (Change USE: +midi, this change violates use flag constraints defined by media-libs/sdl-mixer-1.2.12: 'midi? ( any-of ( timidity fluidsynth ) ) timidity? ( midi ) fluidsynth? ( midi )')
(dependency required by "games-engines/qtads-2.1.3" [ebuild])
(dependency required by "qtads" [argument])


Reproducible: Always
Comment 1 Pacho Ramos gentoo-dev 2012-06-16 09:08:28 UTC
USE="midi timidity" emerge -pv sdl-mixer qtads -> it works, no idea why portage is showing that error, it should simply show sdl-mixer wanting to enable either timidity or fluidsynth
Comment 2 Pacho Ramos gentoo-dev 2012-06-16 09:12:20 UTC
I mean, why qtads requiring "midi" is a violation, it's app to user to enable wanted timidity/fluidsynth USE flag for sdl-mixer, not qtads work, no?
Comment 3 Sebastian Luther (few) 2012-06-16 09:20:41 UTC
(In reply to comment #2)
> I mean, why qtads requiring "midi" is a violation, it's app to user to
> enable wanted timidity/fluidsynth USE flag for sdl-mixer, not qtads work, no?

The message says that qtads wants sdl-mixer with +midi.

Now sdl-mixer has a REQUIRED_USE, which is not satisfied if midi is enabled. Since portage can't give REQUIRED_USE suggestions, it just prints the violated constraint.
Comment 4 Zac Medico gentoo-dev 2012-06-16 18:50:04 UTC
This is very similar to bug 403207.
Comment 5 Pacho Ramos gentoo-dev 2018-04-29 13:02:04 UTC
One workaround would be to default enable one provider (like timidity for example, as it seems to be more commonly used) as , reading the ebuild, it seems the extra deps will only be pulled in as soon as user enables "midi" USE flag too
Comment 6 Pacho Ramos gentoo-dev 2018-05-01 10:38:22 UTC
Ah, no, that doesn't work as "mikmod" tries to enable "mod" always.. then both should be enabled at the same time :S